eclipse 报错Unsupported major.minor version 52.0
eclipse 报错Unsupported major.minor version 52.0
m243043962 发表于1个月前
eclipse 报错Unsupported major.minor version 52.0
  • 发表于 1个月前
  • 阅读 2
  • 收藏 0
  • 点赞 0
  • 评论 0

腾讯云 十分钟定制你的第一个小程序>>>   

原因:从高版本JDK换成低版本JDK报错Unsupported major.minor version

 

出现这个情况是我把 web 项目导入eclipse ,并把项目的 build path 和 运行环境都该好了!(从1.8都到1.7了)

之后运行就报错了

 

解决方法:

1.看在Properties-->JAVA Compiler-中的Compiler compliance level       已经是1.7,没错。

2. 看 Properties中java build path-->Libraries中的  也是1.7没错

3. 看prooerties -----project Facets  ,发现这里的java 还是1.8  ,改成1.7 

 

运行 ok 了

 

 

共有 人打赏支持
粉丝 0
博文 63
码字总数 30076
×
m243043962
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: